package osc.petra.logic;

import java.util.List;

import osc.petra.dataModel.GPS;
import osc.petra.dataModel.Via;
import osc.petra.dataModel.Zona;

public interface ProgramControlInterface {
	public void newQuery(GPS punt, double radi);
	public void newQuery(boolean totesZones);
	public void executeQuery() throws Exception;
	public void loadViaActual() throws Exception;
	public Zona getZona(int index);
	public int zonaCount();
	public void loadAllZonaAndSector() throws Exception;
	public Query getQuery();
	public List<String> getListZones();
	public List<String> getListSectors(String zona);
	public List<Via> getListVies(String zona, String sector);
	public void setViaActual(Via via);
	public Via getViaActual();
}
