package osc.petra.logic;

public class Query {
	public static final String UN_LLARG = "ViaUnLlarg";
	public static final String DIVERSOS_LLARGS = "ViaDiversosLlargs";
	public static final String EQUIPADA = "ViaEquipada";
	public static final String DESEQUIPADA = "ViaDesEquipada";
	public static final String SEMIEQUIPADA = "ViaSemiEquipada";
	public static final String NO_DATA = "";
	
	private String escalada;
	private String tipus;
	private String dificultatMaxima;
	private String orientacio;
	private String llargs;
	private String roca;
	
	public Query(){
		this.escalada = NO_DATA;
		this.tipus = NO_DATA;
		this.dificultatMaxima = NO_DATA;
		this.orientacio = NO_DATA;
		this.llargs = NO_DATA;
		this.roca = NO_DATA;
	}
	
	/**
	 * @return the escalada
	 */
	public String getEscalada() {
		return escalada;
	}
	/**
	 * @return the tipus
	 */
	public String getTipus() {
		return tipus;
	}
	
	/**
	 * @return the orientacio
	 */
	public String getOrientacio() {
		return orientacio;
	}
	/**
	 * @return the llargs
	 */
	public String getLlargs() {
		return llargs;
	}
	/**
	 * @return the roca
	 */
	public String getRoca() {
		return roca;
	}
	/**
	 * @param escalada the escalada to set
	 */
	public void setEscalada(String escalada) {
		this.escalada = escalada;
	}
	/**
	 * @param tipus the tipus to set
	 */
	public void setTipus(String tipus) {
		this.tipus = tipus;
	}
	
	/**
	 * @return the dificultatMaxima
	 */
	public String getDificultatMaxima() {
		return dificultatMaxima;
	}

	/**
	 * @param dificultatMaxima the dificultatMaxima to set
	 */
	public void setDificultatMaxima(String dificultatMaxima) {
		this.dificultatMaxima = dificultatMaxima;
	}

	/**
	 * @param orientacio the orientacio to set
	 */
	public void setOrientacio(String orientacio) {
		this.orientacio = orientacio;
	}
	/**
	 * @param llargs the llargs to set
	 */
	public void setLlargs(String llargs) {
		this.llargs = llargs;
	}
	/**
	 * @param roca the roca to set
	 */
	public void setRoca(String roca) {
		this.roca = roca;
	}
	
	
	public boolean hasEscalada() {
		return !this.escalada.equals(Query.NO_DATA);
	}
	
	
	
	public boolean hasTipus() {
		return !this.tipus.equals(Query.NO_DATA);
	}
	

	
	public boolean hasDificultatMaxima() {
		return !this.dificultatMaxima.equals(Query.NO_DATA);
	}
	
	
	
	public boolean hasOrientacio() {
		return !this.orientacio.equals(Query.NO_DATA);
	}
	
	
	
	public boolean hasLlargs() {
		return !this.llargs.equals(Query.NO_DATA);
	}
	

	
	public boolean hasRoca() {
		return !this.roca.equals(Query.NO_DATA);
	}
	
}