package osc.petra.logic;

import java.util.ArrayList;
import java.util.List;

public class QueryZona extends Query {
	private List<String> zona;
	private List<List<String>> sectors;
	
	
	public QueryZona(){
		super();
		this.zona = new ArrayList<String>();
		this.sectors = new ArrayList<List<String>>();
	}
	
	
	public void addZona(String zona, List<String> sectors){
		this.zona.add(zona);
		this.sectors.add(sectors);
	}
	
	
	public String getZona(int index){
		return this.zona.get(index);
	}
	
	
	public String getSector(int indexZona, int indexSector){
		return this.sectors.get(indexZona).get(indexSector);
	}
	
	public int getCountZones(){
		return this.zona.size();
	}
	
	public int getCountSectors(int zona){
		return this.sectors.get(zona).size();
	}
}
